/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: box.c 1.3 89/10/10 $@(#)graf:src/glib.d/box.c	1.1"
/* <: t-5 d :> */
#include <stdio.h>
#include "debug.h"

box(x1,y1,x2,y2,ro,color,weight,style) /* draw box from x1,y1 to x2,y2 */
double x1,y1,x2,y2;
int ro,color,weight,style;
{
	gslscale(&x1,&y1);
	gslscale(&x2,&y2);
	gslbox(x1,y1,x2,y2,ro,color,weight,style);
}

gslbox(x1,y1,x2,y2,ro,color,weight,style)
double x1,y1,x2,y2;
int ro,color,weight,style;
{
	gslstlines(x1,y1,ro,color,weight,style);
	gslline(x2,y1);
	gslline(x2,y2);
	gslline(x1,y2);
	gslline(x1,y1);
	gslendlines();
}
